Skip to content
Permalink
Browse files
resolve yargs-parser dependency ReDos security vulnerability [helix-f…
…ront] (#2164)

Remove helix-front dependency @angular-eslint/builder to resolve security vulnerability
in one of its dependencies, yargs-parser.
  • Loading branch information
micahstubbs committed Jun 23, 2022
1 parent 3ad6c4e commit 174aaae754d0b21467706cae3e5d7b2d4e8c31a2
Show file tree
Hide file tree
Showing 3 changed files with 161 additions and 286 deletions.
@@ -48,7 +48,7 @@
"budgets": [
{
"type": "initial",
"maximumWarning": "3554kb"
"maximumWarning": "4824kb"
}
],
"optimization": true,
@@ -108,12 +108,7 @@
"styles": ["client/styles.scss", "client/theme.scss"],
"assets": [
"client/assets",
"client/favicon.ico",
{
"glob": "worker-html.js",
"input": "node_modules/ace-builds/src-min/",
"output": "/"
}
"client/favicon.ico"
]
}
},
@@ -92,11 +92,10 @@
"devDependencies": {
"@angular-builders/jest": "^13.0.4",
"@angular-devkit/build-angular": "~13.3.6",
"@angular-eslint/builder": "13.2.1",
"@angular-eslint/eslint-plugin": "13.2.1",
"@angular-eslint/eslint-plugin-template": "13.2.1",
"@angular-eslint/schematics": "13.2.1",
"@angular-eslint/template-parser": "13.2.1",
"@angular-eslint/eslint-plugin": "13.5.0",
"@angular-eslint/eslint-plugin-template": "13.5.0",
"@angular-eslint/schematics": "13.5.0",
"@angular-eslint/template-parser": "13.5.0",
"@angular/cli": "13.3.6",
"@angular/compiler-cli": "13.3.9",
"@cypress/schematic": "2.0.0",

0 comments on commit 174aaae

Please sign in to comment.